API referenceBidding Spot Orders
POST /api/SpotOrders/GetOrdersByDateRange
Returns saved Hybrid and Block orders whose dispatch day is within the requested range. XBID, balancing, reserve, forecast, and nomination orders are excluded from this Spot workflow.
POST
/api/SpotOrders/GetOrdersByDateRangecurl -X POST "/api/SpotOrders/GetOrdersByDateRange" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"dateStart": "2026-01-15T09:30:00Z",
"dateEnd": "2026-01-15T09:30:00Z"
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.Bidding.DateRangeBody
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.Spot.MarketOrderDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"dispatchDay": "2026-01-15T09:30:00Z",
"dispatchPeriod": 0,
"maxDispatchPeriod": 0,
"minDispatchPeriod": 0,
"entityId": 0,
"entityName": "string",
"entitySide": 1,
"capacity": 0,
"minCapacity": 0,
"entityEIC": "string",
"marketPartyId": 0,
"marketPartyName": "string",
"marketPartyEIC": "string",
"side": 1,
"sideName": "string",
"orderType": 1,
"orderTypeName": "string",
"market": 1,
"marketName": "string",
"version": 0,
"exchangeId": 0,
"exchangeName": "string",
"auctionIdentification": "string",
"minPrice": 0,
"maxPrice": 0,
"price": 0,
"executedPrice": 0,
"weightedAveragePrice": 0,
"minQuantity": 0,
"maxQuantity": 0,
"quantity": 0,
"clearedQuantity": 0,
"canceledQuantity": 0,
"numberOfSteps": 0,
"customBlockOrderId": 0,
"linkedOrderId": 0,
"exclusiveGroup": 0,
"lastStatusUpdate": "2026-01-15T09:30:00Z",
"biddingZoneId": 0,
"biddingZoneName": "string",
"biddingZoneEIC": "string",
"creator": "string",
"approver": "string",
"lastStatus": "string",
"lastStatusId": 0,
"allStatuses": "string",
"timestampFrom": "2026-01-15T09:30:00Z",
"timestampTo": "2026-01-15T09:30:00Z",
"direction": 1,
"directionName": "string",
"externalOrderId": "string",
"externalBatchId": "string",
"inferred": true,
"xbidContractId": 0,
"xbidContractName": "string",
"xbidOrderType": 1,
"xbidOrderTypeDescription": "string",
"xbidExecutionState": 0,
"xbidExecutionStateDescription": "string",
"xbidExecType": 1,
"xbidExecTypeDescription": "string",
"xbidValidity": 0,
"xbidValidityDescription": "string",
"xbidValidityDateTime": "2026-01-15T09:30:00Z",
"xbidBlockTotalContracts": 0,
"xbidIcePeakPriceDelta": 0,
"xbidIceVolumeDisplay": 0,
"xbidTotalVolume": 0,
"counterpartyId": 0,
"counterpartyName": "string",
"counterpartyEIC": "string",
"marketAgreementId": "string"
}
]
}